Advertising

Author Topic: [solved] vlc unable to play .avi and .mp4 video files ?  (Read 379 times)

Offline nubipengen

  • Newbie
  • *
  • Posts: 20
[solved] vlc unable to play .avi and .mp4 video files ?
« on: December 21, 2017, 03:19:49 pm »
hello everybody, i have another question.

i had already installed multimedia codecs and rebooted the computer, but still unable to play offline .mp4 and .avi videos using vlc media player on sparky 5.2 xfce 32-bit. by "unable to play" here, i mean, the audio comes out, but the video is blank/black.

i tested playing the same videos on another computer that runs mx17 64-bit, and it plays well.

vlc player on sparky is release 2.2.8, while the one in mx17 computer is release 2.2.6. playing online videos like youtube, vimeo and facebook videos do not have this issue.

i also tested running vlc from the terminal command line :
$ vlc videofile.mp4

and the result is the same, there is only audio. video does not display.
on terminal, there are same error messages for both .mp4 and .avi videos :
Quote
[01175a90] vdpau_display vout display error: output surface creation failure: A catch-all error, used when no other error code applies.
[01175a90] vdpau_display vout display error: output surface creation failure: A catch-all error, used when no other error code applies.
^C[01175a90] vdpau_display vout display error: output surface creation failure: A catch-all error, used when no other error code applies.
[01175a90] vdpau_display vout display error: output surface creation failure: A catch-all error, used when no other error code applies.

i am wondering, what do i miss here ?  :o
thanks again. 
« Last Edit: December 21, 2017, 06:36:50 pm by nubipengen »

Offline sdibaja

  • Newbie
  • *
  • Posts: 3
Re: vlc unable to play .avi and .mp4 video files ?
« Reply #1 on: December 21, 2017, 03:40:18 pm »
Debian Stretch is using 2.2.7 with no issues... can you revert?
Anyone else benefiting is just collateral damage

Offline Capitain_Jack

  • Jr. Member
  • **
  • Posts: 91
Re: vlc unable to play .avi and .mp4 video files ?
« Reply #2 on: December 21, 2017, 03:41:06 pm »
This is related to VLC configuration, try this out:
https://ubuntuforums.org/showthread.php?t=2365719

Please, don't forget to come back if it works and edit the first message title adding [SOLVED] to the beginning of it, so the solution can help others.
"Great spirits have always encountered violent opposition from mediocre minds."
Albert Einstein

Offline nubipengen

  • Newbie
  • *
  • Posts: 20
Re: vlc unable to play .avi and .mp4 video files ?
« Reply #3 on: December 21, 2017, 06:36:09 pm »
Debian Stretch is using 2.2.7 with no issues... can you revert?
thank you, sir, but i am new to debian, could you please tell me how to revert to earlier release safely ?

This is related to VLC configuration, try this out:
https://ubuntuforums.org/showthread.php?t=2365719

Please, don't forget to come back if it works and edit the first message title adding [SOLVED] to the beginning of it, so the solution can help others.
thank you, sir, the way mentioned on ubuntuforums works.
i also install smplayer and it works too. so i guess it is an vlc 2.2.8 issue.

if there is no other better solution, i am marking this thread [solved].
thanks again everybody, i really appreciate it.